FIX::FieldBase::field_metrics Class Reference

Class used to store field metrics like total length and checksum. More...

## Public Member Functions

| field_metrics (const size_t length, const int checksum)
size_t | getLength () const
int | getCheckSum () const
bool | isValid () const

## Private Attributes

size_t | m_length
int | m_checksum

## Detailed Description

Class used to store field metrics like total length and checksum.

Definition at line 87 of file Field.h.

## Constructor & Destructor Documentation

## field_metrics()

FIX::FieldBase::field_metrics::field_metrics | ( | const size_t | length,
|  | const int | checksum
| ) |  |

inline

Definition at line 108 of file Field.h.

{

## Member Function Documentation

## getCheckSum()

int FIX::FieldBase::field_metrics::getCheckSum | ( |  | ) | const

inline

Definition at line 116 of file Field.h.

{
std::swap( m_tag, rhs.m_tag );

References FIX::FieldBase::m_metrics, FIX::FieldBase::m_tag, and swap().

Referenced by FIX::FieldBase::setString().

## getLength()

size_t FIX::FieldBase::field_metrics::getLength | ( |  | ) | const

inline

Definition at line 113 of file Field.h.

{

Referenced by FIX::FieldBase::setField().

## isValid()

bool FIX::FieldBase::field_metrics::isValid | ( |  | ) | const

inline

Definition at line 119 of file Field.h.

{

## Member Data Documentation

## m_checksum

int FIX::FieldBase::field_metrics::m_checksum

private

Definition at line 125 of file Field.h.

## m_length

size_t FIX::FieldBase::field_metrics::m_length

private

Definition at line 124 of file Field.h.

The documentation for this class was generated from the following file:

- Field.h

swap
void swap(T &lhs, T &rhs)
Definition: pugixml.cpp:5991
FIX::FieldBase::m_tag
int m_tag
Definition: Field.h:269